/*
 * ParserTypeValidator.hpp
 *
 *  Created on: May 10, 2012
 *      Author: heber
 */

#ifndef PARSERTYPEVALIDATOR_HPP_
#define PARSERTYPEVALIDATOR_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

#include "Parameters/Validators/DiscreteValidator.hpp"

/** This validator checks whether the given string refers to a valid
 * \ref FormatParser type.
 */
class ParserTypeValidator : public DiscreteValidator<std::string>
{
public:
  ParserTypeValidator();
};


#endif /* PARSERTYPEVALIDATOR_HPP_ */
